import { ElementRef, EventEmitter, AfterViewInit, OnDestroy, NgZone, OnChanges, SimpleChanges } from '@angular/core';
import { EChartsInitOpts, EchartsInstance, EChartsLoadingConfig, EchartsOnEvents, EChartsOption, EChartsSetOptionOpts, EChartsTheme } from './interface';
import * as i0 from "@angular/core";
export declare class NgxEchartsComponent implements AfterViewInit, OnChanges, OnDestroy {
    private el;
    private ngZone;
    option?: EChartsOption;
    theme?: EChartsTheme;
    initOpts?: EChartsInitOpts;
    setOptionOpts?: EChartsSetOptionOpts;
    autoResize: boolean;
    loading: boolean;
    loadingConfig?: EChartsLoadingConfig;
    group?: string;
    readonly onChartInit: EventEmitter<import("echarts/types/dist/echarts").ECharts>;
    onEvents?: EchartsOnEvents;
    echartsInstance: EchartsInstance | null;
    private resizeObserver;
    constructor(el: ElementRef, ngZone: NgZone);
    /**
     * 创建ECharts实例
     */
    private initECharts;
    /**
     * 销毁ECharts实例
     */
    private disposeECharts;
    /**
     * 绑定调整大小观察者
     */
    private buildResizeObserver;
    /**
     * 取消调整大小观察者
     */
    private disconnectResizeObserver;
    /**
     * 绑定事件
     */
    private buildEvents;
    /**
     * 设置图表配置项
     */
    private setOption;
    /**
     * 调整大小
     */
    private resize;
    /**
     * 切换Loading
     */
    private toggleLoading;
    /**
     * 设置图表分组
     */
    private setGroup;
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxEchartsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxEchartsComponent, "ngx-echarts", never, { "option": "option"; "theme": "theme"; "initOpts": "initOpts"; "setOptionOpts": "setOptionOpts"; "autoResize": "autoResize"; "loading": "loading"; "loadingConfig": "loadingConfig"; "group": "group"; "onEvents": "onEvents"; }, { "onChartInit": "onChartInit"; }, never, never>;
}
